# std::negate< Type > Struct Template Reference
[Arithmetic Classes]

One of the math functors. More...

`#include <stl_function.h>`

Inheritance diagram for std::negate< Type >:

[legend]
Collaboration diagram for std::negate< Type >:

[legend]
List of all members.

## Public Types

typedef Type | argument_type
| `argument_type` is the type of the
typedef Type | result_type
| `result_type` is the return type

## Detailed Description

### template<class Type>
struct std::negate< Type >

One of the math functors.

Definition at line 179 of file stl_function.h.

## Member Typedef Documentation

typedef Type std::unary_function< Type , Type >::argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef Type std::unary_function< Type , Type >::result_type `[inherited]`

| `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following files:

- stl_function.h
- valarray_before.h